<?php

namespace Slovocast\Domain\Repository\Channel;

use Slovocast\Domain\Entity\Channel;
use Slovocast\Domain\Entity\User;

interface ChannelRepositoryInterface
{
    public function get(int $id): Channel;
    public function getFromUser(User $user): Channel;
    public function getFromSlug(string $slug): Channel;
    public function create(Channel $channel): int;
    public function update(Channel $channel): bool;
    public function delete(Channel $channel): bool;
}
