<?php

namespace Slovocast\Infrastructure\Database;

use Slovocast\Infrastructure\Api\Database\DatabaseConnectionInterface;
use PDO;

class DatabaseConnection implements DatabaseConnectionInterface
{
    public function __construct(private PDO $pdo) {}

    public function getConnection(): PDO
    {
        return $this->pdo;
    }

    public function setNewConnection(PDO $pdo): void
    {
        $this->pdo = $pdo;
    }
}
